com.tibbo.aggregate.common.action.command

## Class EditData

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.EditData

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class EditData
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_ADD_ROW_TABLE_ACTION`
    `static java.lang.String` | `CF_ADD_ROW_TABLE_ACTION_INPUT`
    `static java.lang.String` | `CF_ADD_ROW_TABLE_SHOW_RESULT`
    `static java.lang.String` | `CF_DASHBOARD`
    `static java.lang.String` | `CF_DASHBOARDS_HIERARCHY_INFO`
    `static java.lang.String` | `CF_DATA`
    `static java.lang.String` | `CF_DEFAULT_CONTEXT`
    `static java.lang.String` | `CF_DROP_RELATED_RECORD_FIELD`
    `static java.lang.String` | `CF_EDITING_IN_NEW_WINDOW`
    `static java.lang.String` | `CF_ENABLE_POPUP_MENU`
    `static java.lang.String` | `CF_EXPRESSION`
    `static java.lang.String` | `CF_HELP`
    `static java.lang.String` | `CF_HELP_ID`
    `static java.lang.String` | `CF_HORIZONTAL_SCROLLING`
    `static java.lang.String` | `CF_ICON_ID`
    `static java.lang.String` | `CF_INCLUDE_RECORD`
    `static java.lang.String` | `CF_KEY`
    `static java.lang.String` | `CF_LOCATION`
    `static java.lang.String` | `CF_PERIOD`
    `static java.lang.String` | `CF_READ_ONLY`
    `static java.lang.String` | `CF_RECORD_DESCRIPTION`
    `static java.lang.String` | `CF_RECORD_INDEX`
    `static java.lang.String` | `CF_RELATION_FIELD`
    `static java.lang.String` | `CF_REMOVE_ROW_TABLE_ACTION`
    `static java.lang.String` | `CF_REMOVE_ROW_TABLE_ACTION_INPUT`
    `static java.lang.String` | `CF_REMOVE_ROW_TABLE_SHOW_RESULT`
    `static java.lang.String` | `CF_SHOW_HEADER`
    `static java.lang.String` | `CF_SHOW_LINE_NUMBERS`
    `static java.lang.String` | `CF_SHOW_TOOLBAR`
    `static java.lang.String` | `CF_STORAGE_BINDINGS`
    `static java.lang.String` | `CF_STORAGE_COLUMNS`
    `static java.lang.String` | `CF_STORAGE_CONTEXT`
    `static java.lang.String` | `CF_STORAGE_FILTER`
    `static java.lang.String` | `CF_STORAGE_INSTANCE`
    `static java.lang.String` | `CF_STORAGE_INSTANCE_ID`
    `static java.lang.String` | `CF_STORAGE_QUERY`
    `static java.lang.String` | `CF_STORAGE_SESSION_ID`
    `static java.lang.String` | `CF_STORAGE_SORTING`
    `static java.lang.String` | `CF_STORAGE_TABLE`
    `static java.lang.String` | `CF_STORAGE_VIEW`
    `static java.lang.String` | `CF_UPDATE_ROW_TABLE_ACTION`
    `static java.lang.String` | `CF_UPDATE_ROW_TABLE_ACTION_INPUT`
    `static java.lang.String` | `CF_UPDATE_ROW_TABLE_SHOW_RESULT`
    `static java.lang.String` | `CF_USE_DOCKABLE_FRAME`
    `static TableFormat` | `CFT_EDIT_DATA`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditData()`
    `EditData(java.lang.String title, DataTable parameters)`
    `EditData(java.lang.String title, DataTable data, boolean readonly)`
    `EditData(java.lang.String title, java.lang.String iconId, java.lang.String expression, java.lang.Long period)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`
    `GenericActionResponse` | `createDefaultResponse()`
    `java.lang.String` | `getAddRowTableAction()`
    `java.lang.String` | `getAddRowTableActionInput()`
    `DashboardProperties` | `getDashboard()`
    `DashboardsHierarchyInfo` | `getDashboardsHierarchyInfo()`
    `DataTable` | `getData()`
    `java.lang.String` | `getDefaultContext()`
    `java.lang.Boolean` | `getEnablePopupMenu()`
    `java.lang.String` | `getExpression()`
    `java.lang.String` | `getHelp()`
    `java.lang.String` | `getHelpId()`
    `java.lang.String` | `getIconId()`
    `java.lang.Object` | `getInstanceID()`
    `java.lang.String` | `getKey()`
    `WindowLocation` | `getLocation()`
    `EditDataMerger` | `getMerger()`
    `java.lang.Long` | `getPeriod()`
    `java.lang.String` | `getRelationField()`
    `java.lang.String` | `getRemoveRowTableActionInput()`
    `java.lang.String` | `getRowTableAction()`
    `DataTable` | `getStorageBindings()`
    `DataTable` | `getStorageColumns()`
    `java.lang.String` | `getStorageContext()`
    `DataTable` | `getStorageFilter()`
    `DataTable` | `getStorageInstance()`
    `java.lang.String` | `getStorageQuery()`
    `java.lang.Long` | `getStorageSessionId()`
    `DataTable` | `getStorageSorting()`
    `java.lang.String` | `getStorageTable()`
    `java.lang.String` | `getStorageView()`
    `java.lang.String` | `getUpdateRowTableAction()`
    `java.lang.String` | `getUpdateRowTableActionInput()`
    `boolean` | `isAddRowTableActionShowResult()`
    `boolean` | `isEditingInNewWindow()`
    `java.lang.Boolean` | `isHorizontalScrolling()`
    `boolean` | `isReadOnly()`
    `boolean` | `isRemoveRowTableActionShowResult()`
    `java.lang.Boolean` | `isShowHeader()`
    `java.lang.Boolean` | `isShowLineNumbers()`
    `boolean` | `isShowToolbar()`
    `boolean` | `isUpdateRowTableActionShowResult()`
    `boolean` | `isUseDockableFrame()`
    `void` | `setAddRowTableAction(java.lang.String addRowTableAction)`
    `void` | `setAddRowTableActionInput(java.lang.String addRowTableActionInput)`
    `void` | `setAddRowTableActionShowResult(boolean addRowTableActionShowResult)`
    `void` | `setDashboard(DashboardProperties dashboard)`
    `void` | `setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)`
    `void` | `setData(DataTable data)`
    `void` | `setDefaultContext(java.lang.String defaultContext)`
    `void` | `setEditingInNewWindow(boolean editingInNewWindow)`
    `void` | `setEnablePopupMenu(java.lang.Boolean enablePopupMenu)`
    `void` | `setExpression(java.lang.String expression)`
    `void` | `setHelp(java.lang.String help)`
    `void` | `setHelpId(java.lang.String helpId)`
    `void` | `setHorizontalScrolling(java.lang.Boolean horizontalScrolling)`
    `void` | `setIconId(java.lang.String iconId)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLocation(WindowLocation location)`
    `void` | `setMerger(EditDataMerger merger)`
    `void` | `setPeriod(java.lang.Long period)`
    `void` | `setReadOnly(boolean readonly)`
    `void` | `setRelationField(java.lang.String relationField)`
    `void` | `setRemoveRowTableAction(java.lang.String removeRowTableAction)`
    `void` | `setRemoveRowTableActionInput(java.lang.String removeRowTableActionInput)`
    `void` | `setRemoveRowTableActionShowResult(boolean removeRowTableActionShowResult)`
    `void` | `setShowHeader(java.lang.Boolean showHeader)`
    `void` | `setShowLineNumbers(java.lang.Boolean showLineNumbers)`
    `void` | `setShowToolbar(boolean showToolbar)`
    `void` | `setStorageBindings(DataTable storageBindings)`
    `void` | `setStorageColumns(DataTable storageColumns)`
    `void` | `setStorageContext(java.lang.String storageContext)`
    `void` | `setStorageFilter(DataTable storageFilter)`
    `void` | `setStorageInstance(DataTable storageInstance)`
    `void` | `setStorageInstanceId(java.lang.Object storageInstanceId)`
    `void` | `setStorageQuery(java.lang.String storageQuery)`
    `void` | `setStorageSessionId(java.lang.Long storageSessionId)`
    `void` | `setStorageSorting(DataTable storageSorting)`
    `void` | `setStorageTable(java.lang.String storageTable)`
    `void` | `setStorageView(java.lang.String storageView)`
    `void` | `setUpdateRowTableAction(java.lang.String updateRowTableAction)`
    `void` | `setUpdateRowTableActionInput(java.lang.String updateRowTableActionInput)`
    `void` | `setUpdateRowTableActionShowResult(boolean updateRowTableActionShowResult)`
    `void` | `setUseDockableFrame(boolean useDockableFrame)`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_DATA

          public static final java.lang.String CF_DATA

      See Also:
        Constant Field Values

    - #### CF_USE_DOCKABLE_FRAME

          public static final java.lang.String CF_USE_DOCKABLE_FRAME

      See Also:
        Constant Field Values

    - #### CF_READ_ONLY

          public static final java.lang.String CF_READ_ONLY

      See Also:
        Constant Field Values

    - #### CF_ENABLE_POPUP_MENU

          public static final java.lang.String CF_ENABLE_POPUP_MENU

      See Also:
        Constant Field Values

    - #### CF_ICON_ID

          public static final java.lang.String CF_ICON_ID

      See Also:
        Constant Field Values

    - #### CF_HELP_ID

          public static final java.lang.String CF_HELP_ID

      See Also:
        Constant Field Values

    - #### CF_HELP

          public static final java.lang.String CF_HELP

      See Also:
        Constant Field Values

    - #### CF_DEFAULT_CONTEXT

          public static final java.lang.String CF_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_LOCATION

          public static final java.lang.String CF_LOCATION

      See Also:
        Constant Field Values

    - #### CF_DASHBOARD

          public static final java.lang.String CF_DASHBOARD

      See Also:
        Constant Field Values

    - #### CF_KEY

          public static final java.lang.String CF_KEY

      See Also:
        Constant Field Values

    - #### CF_EXPRESSION

          public static final java.lang.String CF_EXPRESSION

      See Also:
        Constant Field Values

    - #### CF_PERIOD

          public static final java.lang.String CF_PERIOD

      See Also:
        Constant Field Values

    - #### CF_STORAGE_CONTEXT

          public static final java.lang.String CF_STORAGE_CONTEXT

      See Also:
        Constant Field Values

    - #### CF_RECORD_INDEX

          public static final java.lang.String CF_RECORD_INDEX

      See Also:
        Constant Field Values

    - #### CF_RECORD_DESCRIPTION

          public static final java.lang.String CF_RECORD_DESCRIPTION

      See Also:
        Constant Field Values

    - #### CF_INCLUDE_RECORD

          public static final java.lang.String CF_INCLUDE_RECORD

      See Also:
        Constant Field Values

    - #### CF_STORAGE_VIEW

          public static final java.lang.String CF_STORAGE_VIEW

      See Also:
        Constant Field Values

    - #### CF_STORAGE_QUERY

          public static final java.lang.String CF_STORAGE_QUERY

      See Also:
        Constant Field Values

    - #### CF_STORAGE_TABLE

          public static final java.lang.String CF_STORAGE_TABLE

      See Also:
        Constant Field Values

    - #### CF_STORAGE_COLUMNS

          public static final java.lang.String CF_STORAGE_COLUMNS

      See Also:
        Constant Field Values

    - #### CF_STORAGE_FILTER

          public static final java.lang.String CF_STORAGE_FILTER

      See Also:
        Constant Field Values

    - #### CF_STORAGE_SORTING

          public static final java.lang.String CF_STORAGE_SORTING

      See Also:
        Constant Field Values

    - #### CF_STORAGE_SESSION_ID

          public static final java.lang.String CF_STORAGE_SESSION_ID

      See Also:
        Constant Field Values

    - #### CF_STORAGE_INSTANCE

          public static final java.lang.String CF_STORAGE_INSTANCE

      See Also:
        Constant Field Values

    - #### CF_STORAGE_INSTANCE_ID

          public static final java.lang.String CF_STORAGE_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### CF_STORAGE_BINDINGS

          public static final java.lang.String CF_STORAGE_BINDINGS

      See Also:
        Constant Field Values

    - #### CF_RELATION_FIELD

          public static final java.lang.String CF_RELATION_FIELD

      See Also:
        Constant Field Values

    - #### CF_DROP_RELATED_RECORD_FIELD

          public static final java.lang.String CF_DROP_RELATED_RECORD_FIELD

      See Also:
        Constant Field Values

    - #### CF_SHOW_TOOLBAR

          public static final java.lang.String CF_SHOW_TOOLBAR

      See Also:
        Constant Field Values

    - #### CF_SHOW_HEADER

          public static final java.lang.String CF_SHOW_HEADER

      See Also:
        Constant Field Values

    - #### CF_SHOW_LINE_NUMBERS

          public static final java.lang.String CF_SHOW_LINE_NUMBERS

      See Also:
        Constant Field Values

    - #### CF_HORIZONTAL_SCROLLING

          public static final java.lang.String CF_HORIZONTAL_SCROLLING

      See Also:
        Constant Field Values

    - #### CF_DASHBOARDS_HIERARCHY_INFO

          public static final java.lang.String CF_DASHBOARDS_HIERARCHY_INFO

      See Also:
        Constant Field Values

    - #### CF_ADD_ROW_TABLE_ACTION

          public static final java.lang.String CF_ADD_ROW_TABLE_ACTION

      See Also:
        Constant Field Values

    - #### CF_REMOVE_ROW_TABLE_ACTION

          public static final java.lang.String CF_REMOVE_ROW_TABLE_ACTION

      See Also:
        Constant Field Values

    - #### CF_UPDATE_ROW_TABLE_ACTION

          public static final java.lang.String CF_UPDATE_ROW_TABLE_ACTION

      See Also:
        Constant Field Values

    - #### CF_ADD_ROW_TABLE_ACTION_INPUT

          public static final java.lang.String CF_ADD_ROW_TABLE_ACTION_INPUT

      See Also:
        Constant Field Values

    - #### CF_REMOVE_ROW_TABLE_ACTION_INPUT

          public static final java.lang.String CF_REMOVE_ROW_TABLE_ACTION_INPUT

      See Also:
        Constant Field Values

    - #### CF_UPDATE_ROW_TABLE_ACTION_INPUT

          public static final java.lang.String CF_UPDATE_ROW_TABLE_ACTION_INPUT

      See Also:
        Constant Field Values

    - #### CF_ADD_ROW_TABLE_SHOW_RESULT

          public static final java.lang.String CF_ADD_ROW_TABLE_SHOW_RESULT

      See Also:
        Constant Field Values

    - #### CF_REMOVE_ROW_TABLE_SHOW_RESULT

          public static final java.lang.String CF_REMOVE_ROW_TABLE_SHOW_RESULT

      See Also:
        Constant Field Values

    - #### CF_UPDATE_ROW_TABLE_SHOW_RESULT

          public static final java.lang.String CF_UPDATE_ROW_TABLE_SHOW_RESULT

      See Also:
        Constant Field Values

    - #### CF_EDITING_IN_NEW_WINDOW

          public static final java.lang.String CF_EDITING_IN_NEW_WINDOW

      See Also:
        Constant Field Values

    - #### CFT_EDIT_DATA

          public static final TableFormat CFT_EDIT_DATA

  - ### Constructor Detail

    - #### EditData

          public EditData()

    - #### EditData

          public EditData(java.lang.String title,
                          DataTable parameters)

    - #### EditData

          public EditData(java.lang.String title,
                          DataTable data,
                          boolean readonly)

    - #### EditData

          public EditData(java.lang.String title,
                          java.lang.String iconId,
                          java.lang.String expression,
                          java.lang.Long period)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`

    - #### createDefaultResponse

          public GenericActionResponse createDefaultResponse()

      Overrides:
        `createDefaultResponse` in class `GenericActionCommand`

    - #### getData

          public DataTable getData()

    - #### setData

          public void setData(DataTable data)

    - #### isUseDockableFrame

          public boolean isUseDockableFrame()

    - #### setUseDockableFrame

          public void setUseDockableFrame(boolean useDockableFrame)

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public void setReadOnly(boolean readonly)

    - #### getIconId

          public java.lang.String getIconId()

    - #### setIconId

          public void setIconId(java.lang.String iconId)

    - #### getHelpId

          public java.lang.String getHelpId()

    - #### setHelpId

          public void setHelpId(java.lang.String helpId)

    - #### getHelp

          public java.lang.String getHelp()

    - #### setHelp

          public void setHelp(java.lang.String help)

    - #### getDefaultContext

          public java.lang.String getDefaultContext()

    - #### setDefaultContext

          public void setDefaultContext(java.lang.String defaultContext)

    - #### getLocation

          public WindowLocation getLocation()

    - #### setLocation

          public void setLocation(WindowLocation location)

    - #### getDashboard

          public DashboardProperties getDashboard()

    - #### setDashboard

          public void setDashboard(DashboardProperties dashboard)

    - #### getStorageBindings

          public DataTable getStorageBindings()

    - #### setStorageBindings

          public void setStorageBindings(DataTable storageBindings)

    - #### getExpression

          public java.lang.String getExpression()

    - #### setExpression

          public void setExpression(java.lang.String expression)

    - #### getPeriod

          public java.lang.Long getPeriod()

    - #### setPeriod

          public void setPeriod(java.lang.Long period)

    - #### getEnablePopupMenu

          public java.lang.Boolean getEnablePopupMenu()

    - #### setEnablePopupMenu

          public void setEnablePopupMenu(java.lang.Boolean enablePopupMenu)

    - #### getStorageContext

          public java.lang.String getStorageContext()

    - #### setStorageContext

          public void setStorageContext(java.lang.String storageContext)

    - #### getStorageView

          public java.lang.String getStorageView()

    - #### setStorageView

          public void setStorageView(java.lang.String storageView)

    - #### getStorageQuery

          public java.lang.String getStorageQuery()

    - #### setStorageQuery

          public void setStorageQuery(java.lang.String storageQuery)

    - #### getStorageTable

          public java.lang.String getStorageTable()

    - #### setStorageTable

          public void setStorageTable(java.lang.String storageTable)

    - #### getStorageColumns

          public DataTable getStorageColumns()

    - #### setStorageColumns

          public void setStorageColumns(DataTable storageColumns)

    - #### getStorageFilter

          public DataTable getStorageFilter()

    - #### setStorageFilter

          public void setStorageFilter(DataTable storageFilter)

    - #### getStorageSorting

          public DataTable getStorageSorting()

    - #### setStorageSorting

          public void setStorageSorting(DataTable storageSorting)

    - #### getMerger

          public EditDataMerger getMerger()

    - #### setMerger

          public void setMerger(EditDataMerger merger)

    - #### setStorageSessionId

          public void setStorageSessionId(java.lang.Long storageSessionId)

    - #### getStorageSessionId

          public java.lang.Long getStorageSessionId()

    - #### setStorageInstanceId

          public void setStorageInstanceId(java.lang.Object storageInstanceId)

    - #### getInstanceID

          public java.lang.Object getInstanceID()

    - #### setStorageInstance

          public void setStorageInstance(DataTable storageInstance)

    - #### getStorageInstance

          public DataTable getStorageInstance()

    - #### setRelationField

          public void setRelationField(java.lang.String relationField)

    - #### getRelationField

          public java.lang.String getRelationField()

    - #### isShowToolbar

          public boolean isShowToolbar()

    - #### setShowToolbar

          public void setShowToolbar(boolean showToolbar)

    - #### isShowHeader

          public java.lang.Boolean isShowHeader()

    - #### setShowHeader

          public void setShowHeader(java.lang.Boolean showHeader)

    - #### isShowLineNumbers

          public java.lang.Boolean isShowLineNumbers()

    - #### setShowLineNumbers

          public void setShowLineNumbers(java.lang.Boolean showLineNumbers)

    - #### isHorizontalScrolling

          public java.lang.Boolean isHorizontalScrolling()

    - #### setHorizontalScrolling

          public void setHorizontalScrolling(java.lang.Boolean horizontalScrolling)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)

    - #### getDashboardsHierarchyInfo

          public DashboardsHierarchyInfo getDashboardsHierarchyInfo()

    - #### setDashboardsHierarchyInfo

          public void setDashboardsHierarchyInfo(DashboardsHierarchyInfo dhInfo)

    - #### getAddRowTableAction

          public java.lang.String getAddRowTableAction()

    - #### setAddRowTableAction

          public void setAddRowTableAction(java.lang.String addRowTableAction)

    - #### getRowTableAction

          public java.lang.String getRowTableAction()

    - #### setRemoveRowTableAction

          public void setRemoveRowTableAction(java.lang.String removeRowTableAction)

    - #### getUpdateRowTableAction

          public java.lang.String getUpdateRowTableAction()

    - #### setUpdateRowTableAction

          public void setUpdateRowTableAction(java.lang.String updateRowTableAction)

    - #### setEditingInNewWindow

          public void setEditingInNewWindow(boolean editingInNewWindow)

    - #### isEditingInNewWindow

          public boolean isEditingInNewWindow()

    - #### getAddRowTableActionInput

          public java.lang.String getAddRowTableActionInput()

    - #### setAddRowTableActionInput

          public void setAddRowTableActionInput(java.lang.String addRowTableActionInput)

    - #### getRemoveRowTableActionInput

          public java.lang.String getRemoveRowTableActionInput()

    - #### setRemoveRowTableActionInput

          public void setRemoveRowTableActionInput(java.lang.String removeRowTableActionInput)

    - #### getUpdateRowTableActionInput

          public java.lang.String getUpdateRowTableActionInput()

    - #### setUpdateRowTableActionInput

          public void setUpdateRowTableActionInput(java.lang.String updateRowTableActionInput)

    - #### isAddRowTableActionShowResult

          public boolean isAddRowTableActionShowResult()

    - #### setAddRowTableActionShowResult

          public void setAddRowTableActionShowResult(boolean addRowTableActionShowResult)

    - #### isRemoveRowTableActionShowResult

          public boolean isRemoveRowTableActionShowResult()

    - #### setRemoveRowTableActionShowResult

          public void setRemoveRowTableActionShowResult(boolean removeRowTableActionShowResult)

    - #### isUpdateRowTableActionShowResult

          public boolean isUpdateRowTableActionShowResult()

    - #### setUpdateRowTableActionShowResult

          public void setUpdateRowTableActionShowResult(boolean updateRowTableActionShowResult)